# CUpti_ActivityBranch2 Struct Reference
[CUPTI Activity API]

The activity record for source level result branch. More...

## Data Fields
uint32_t | correlationId
uint32_t | diverged
uint32_t | executed
uint32_t | functionId
CUpti_ActivityKind | kind
uint32_t | pad
uint32_t | pcOffset
uint32_t | sourceLocatorId
uint64_t | threadsExecuted

## Detailed Description

This activity record the locations of the branches in the source (CUPTI_ACTIVITY_KIND_BRANCH).

## Field Documentation

uint32_t CUpti_ActivityBranch2::correlationId

The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityBranch2::diverged

Number of times this branch diverged

uint32_t CUpti_ActivityBranch2::executed

The number of times this instruction was executed per warp. It will be incremented regardless of predicate or condition code.

uint32_t CUpti_ActivityBranch2::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityBranch2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_BRANCH.

uint32_t CUpti_ActivityBranch2::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityBranch2::pcOffset

The pc offset for the branch.

uint32_t CUpti_ActivityBranch2::sourceLocatorId

The ID for source locator.

uint64_t CUpti_ActivityBranch2::threadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction